<?php
/**
 * The template for displaying Archive pages.
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */

get_header(); ?>

	<?php 
    $sidebarposition = get_option('templatesquare_sidebar_position');
    ?>
         
    <div id="header-container" class="inner">
    <div id="header" class="inner">
    <h1 class="pagetitle">
            <?php if ( is_day() ) : ?>
                <?php printf( __( 'Daily Archives <span>%s</span>', 'templatesquare' ), get_the_date() ); ?>
            <?php elseif ( is_month() ) : ?>
                <?php printf( __( 'Monthly Archives <span>%s</span>', 'templatesquare' ), get_the_date('F Y') ); ?>
            <?php elseif ( is_year() ) : ?>
                <?php printf( __( 'Yearly Archives <span>%s</span>', 'templatesquare' ), get_the_date('Y') ); ?>
            <?php else : ?>
                <?php printf( __( '%s', 'templatesquare' ), '<span>' . single_cat_title( '', false ) . '</span>' ); ?>
            <?php endif; ?>
    </h1>
    
    </div>
    </div>

	<div id="content-container">
		<div id="content">
			<div id="main">
				<div id="sidebar" class="<?php if($sidebarposition=="left"){echo "positionleft";}else{echo "positionright";}?>">
					<?php get_sidebar();?>
				</div><!-- #sidebar -->
				<div id="maincontent" class="<?php if($sidebarposition=="left"){echo "positionright";}else{echo "positionleft";}?>">
                
                
				<?php
                    /* Since we called the_post() above, we need to
                     * rewind the loop back to the beginning that way
                     * we can run the loop properly, in full.
                     */
                    rewind_posts();
                
                    /* Run the loop for the archives page to output the posts.
                     * If you want to overload this in a child theme then include a file
                     * called loop-archives.php and that will be used instead.
                     */
                     get_template_part( 'loop', 'archive' );
                ?>
              
              	<div class="clear"></div><!-- clear float left -->
				</div><!-- #maincontent -->
				<div class="clear"></div><!-- clear float left -->
			</div><!-- #main -->
			<div class="clear"></div><!-- clear float left -->
		</div><!-- #content -->
	</div><!-- #content-container -->

<?php get_footer(); ?>
