<?php 
// get website title
if(!function_exists("ts_document_title")){
	function ts_document_title(){
		/*
		 * Print the <title> tag based on what is being viewed.
		 */
		global $page, $paged;
	
		wp_title( '|', true, 'right' );
	
		// Add the blog name.
		bloginfo( 'name' );
	
		// Add the blog description for the home/front page.
		$site_description = get_bloginfo( 'description', 'display' );
		if ( $site_description && ( is_home() || is_front_page() ) )
			echo " | $site_description";
	
		// Add a page number if necessary:
		if ( $paged >= 2 || $page >= 2 )
			echo ' | ' . sprintf( __( 'Page %s', 'templatesquare' ), max( $paged, $page ) );
	}// end ts_get_title()
}

// head action hook
if(!function_exists("ts_head")){
	function ts_head(){
		do_action("ts_head");
	}
	add_action('wp_head', 'ts_head', 20);
}

// print javascript in the <head />
if(!function_exists("ts_print_javascript")){
	function ts_print_javascript(){
	
		$slidertype = get_option('templatesquare_slider_type');
		
		//kwicks slider
		$sliderSpeed= get_option('templatesquare_slider_speed');
	
		//cycle slider
		$sliderCycleEffect= get_option('templatesquare_scycle_effect');
		$sliderdisabletext = get_option('templatesquare_slider_disable_text');
		$sliderdisablenavcycle = get_option('templatesquare_slider_disable_navcycle');
		$sliderTimeout= get_option('templatesquare_slider_timeout');

?>
<!-- ////////////////////////////////// -->
<!-- //      Javascript Files        // -->
<!-- ////////////////////////////////// -->
<script type="text/javascript">
<?php if (is_front_page()) {  ?>
	<?php if($slidertype=="cycle"){  ?>
		jQuery(document).ready(function(){
			//Cycle Slider
			jQuery('#slidercycle').cycle({
				timeout: <?php echo $sliderTimeout; ?>,  // milliseconds between slide transitions (0 to disable auto advance)
				fx:      '<?php echo $sliderCycleEffect; ?>', // choose your transition type, ex: fade, scrollUp, shuffle, etc...
				<?php if($sliderdisablenavcycle!=true){ ?>
				pager:   '#slidernav',  // selector for element to use as pager container
				<?php } ?>          
				pause:   0,	  // true to enable "pause on hover"
				cleartypeNoBg: true, // set to true to disable extra cleartype fixing (leave false to force background color setting on slides) 
				pauseOnPagerHover: 1 // true to pause when hovering over pager link
			});
		});
	<?php }else{ ?>
	jQuery(document).ready(function(){
	/* accordion slider */
		jQuery('.kwicks').kwicks({
			max: 800,
			min : 54,
			spacing:0,
			duration: <?php echo $sliderSpeed; ?>,
			easing: 'easeOutBounce'
		});
	});
	<?php } ?>
	
<?php } ?>

jQuery(document).ready(function(){

	//Menu
	jQuery("ul.sf-menu").supersubs({ 
	minWidth		: 12,		// requires em unit.
	maxWidth		: 27,		// requires em unit.
	extraWidth		: 1			// extra width can ensure lines don't sometimes turn over due to slight browser differences in how they round-off values
						  		// due to slight rounding differences and font-family 
	}).superfish();  			// call supersubs first, then superfish, so that subs are 
					 			// not display:none when measuring. Call before initialising 
					 			// containing tabs for same reason. 

	
	//jQuery tab
	jQuery(".tab-content").hide(); //Hide all content
	jQuery("ul.tabs li:first").addClass("active").show(); //Activate first tab
	jQuery(".tab-content:first").show(); //Show first tab content
	//On Click Event
	jQuery("ul.tabs li").click(function() {
		jQuery("ul.tabs li").removeClass("active"); //Remove any "active" class
		jQuery(this).addClass("active"); //Add "active" class to selected tab
		jQuery(".tab-content").hide(); //Hide all tab content
		var activeTab = jQuery(this).find("a").attr("href"); //Find the rel attribute value to identify the active tab + content
		jQuery(activeTab).fadeIn(200); //Fade in the active content
		return false;
	});
	
	//jQuery toggle
	jQuery(".toggle_container").hide();
	jQuery("h2.trigger").click(function(){
		jQuery(this).toggleClass("active").next().slideToggle("slow");
	});
	
	// Portfolio Lightbox
	jQuery("a[rel^='prettyPhoto']").prettyPhoto({animationSpeed:'slow',theme:'facebook',slideshow:2000});
	

	<?php if (is_singular('portfolio-view')) { ?>
	//Portfolio Slider Single
	jQuery('#sliderportfolio').cycle({
		timeout: 6000,  // milliseconds between slide transitions (0 to disable auto advance)
		fx:     'fade', // choose your transition type, ex: fade, scrollUp, shuffle, etc...            
		pager:   '#pager',  // selector for element to use as pager container
		pause:   true,	  // true to enable "pause on hover"
		cleartypeNoBg: true, // set to true to disable extra cleartype fixing (leave false to force background color setting on slides)
		pauseOnPagerHover: 0 // true to pause when hovering over pager link
	});
	<?php } ?>
	

	  
});
</script>
		
<?php 
	}// end ts_print_javascript()
	add_action("ts_head","ts_print_javascript",5);
}

if(!function_exists("ts_print_stylesheet")){
	function ts_print_stylesheet(){
		$optColorStyle = get_option('templatesquare_color_style');
		$optBGColor = get_option('templatesquare_background_color');
		$optBGImage = get_option('templatesquare_background_image');
		$optBGStyle = get_option('templatesquare_background_style');
		$optTopLinkColor = get_option('templatesquare_toplinkcolor');
		$optTopLinkHoverColor = get_option('templatesquare_toplinkhovercolor');
		$optLinkColor =  get_option('templatesquare_linkcolor');
		$optSloganColor = get_option('templatesquare_slogancolor');
		$optHeadingColor = get_option('templatesquare_headingcolor');
		
		$optMainMenuLinkColor =  get_option('templatesquare_mainmenulinkcolor');
		$optMainMenuLinkHover =  get_option('templatesquare_mainmenulinkhover');
		
		?>
        
		<style type="text/css" media="screen">
		
        @font-face {
        font-family: Corbel;
        src: url(<?php echo get_template_directory_uri(); ?>/fonts/ 
        corbel.ttf)  format("truetype"));
        font-weight:normal;
        }
		
		body{
		 <?php if($optBGImage!= ""){ ?>
		 background:<?php echo $optBGColor;?> url(<?php echo $optBGImage; ?>) <?php echo $optBGStyle;?> !important;
		 <?php }else{ ?>
		 background:<?php echo $optBGColor;?>;
		 <?php } ?>
		}
		
		a, a:visited, .colortext{color:<?php echo $optLinkColor;?>}
		h1, h2, h3, h4, h5, h6, .posttitle a, .posttitle a:visited{color:<?php echo $optHeadingColor;?>}
		#header-text p{color:<?php echo $optSloganColor; ?>}
		
		
		.sf-menu a {color:<?php echo $optMainMenuLinkColor;?>;}
		.sf-menu a:hover{color:<?php echo $optMainMenuLinkHover;?>;}
		#topnav .current_page_item > a, #topnav  .current_page_item > a:hover,
		#topnav .current_page_parent > a, #topnav .current_page_parent > a:hover,
		#topnav .current-menu-parent > a, #topnav .current-menu-parent > a:hover,
		#topnav .current-menu-item > a, #topnav .current-menu-item > a:hover {
			color:<?php echo $optMainMenuLinkHover;?>
		}
		
		
        </style>
        
        <?php
	}// end function ts_print_stylesheet
	add_action("ts_head","ts_print_stylesheet",7);
}


// print the logo html
if(!function_exists("ts_logo")){
	function ts_logo(){ 
	
		$logotype = get_option('templatesquare_logo_type');
		$logoimage =get_option('templatesquare_logo_image'); 
		$sitename = get_option('templatesquare_site_name');
		$tagline = get_option('templatesquare_tagline');
		if($logoimage == ""){ $logoimage = get_stylesheet_directory_uri() . "/images/logo.png"; }
?>
        <div id="logo">
		<?php if($logotype == 'textlogo'){ ?>
			
			<?php if($sitename=="" && $tagline==""){?>
                <h1><a href="<?php echo home_url( '/'); ?>" title="<?php _e('Click for Home','templatesquare'); ?>"><?php bloginfo('name'); ?></a></h1><span class="desc"><?php bloginfo('description'); ?></span>
            <?php }else{ ?>
                <h1><a href="<?php echo home_url( '/'); ?>" title="<?php _e('Click for Home','templatesquare'); ?>"><?php echo $sitename; ?></a></h1><span class="desc"><?php echo $tagline; ?></span>
            <?php }?>
        
        <?php } else { ?>
        
            <a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'templatesquare' ) ); ?>" >
                <img src="<?php echo $logoimage;?>" alt="" />
            </a>
            
		<?php } ?>
		</div><!-- end #logo -->
        
<?php 
	}
}
?>