<?php
function ts_widgets_init() {
	register_sidebar( array(
		'name' 					=> __( 'Post Sidebar', 'templatesquare' ),
		'id' 						=> 'post-sidebar',
		'description' 		=> __( 'Located at the left/right side of archives, single and search.', 'templatesquare' ),
		'before_widget' 	=> '<ul><li id="%1$s" class="widget-container %2$s">',
		'after_widget' 		=> '</li></ul>',
		'before_title' 		=> '<h2 class="widget-title">',
		'after_title' 			=> '</h2>',
	));
	
	register_sidebar(array(
		'name'          		=> __('Page Sidebar', 'templatesquare' ),
		'id'         				=> 'page-sidebar',
		'description'   		=> __( 'Located at the left/right side of page templates.', 'templatesquare' ),
		'before_widget' 	=> '<ul><li id="%1$s" class="widget-container %2$s">',
		'after_widget' 		=> '</li></ul>',
		'before_title' 		=> '<h2 class="widget-title">',
		'after_title' 			=> '</h2>',
	));
	
	//Register dynamic sidebar
	$textarrayval = get_option('templatesquare_sidebar');
	if(is_array($textarrayval)){
		
		foreach($textarrayval as $ids => $val){
			if ( function_exists('register_sidebar') )
			register_sidebar(array(
				'name'          		=> $val,
				'id'					=> $ids,
				'description'   		=> __( 'A Custom sidebar created from Theme Options. It\'s called '.$ids, 'templatesquare' ),
				'before_widget' 	=> '<ul><li id="%1$s" class="widget-container %2$s">',
				'after_widget' 		=> '</li></ul>',
				'before_title' 		=> '<h2 class="widget-title">',
				'after_title' 			=> '</h2>'
			));
		}
		
	}
				
}
/** Register sidebars by running creativedesign_widgets_init() on the widgets_init hook. */
add_action( 'widgets_init', 'ts_widgets_init' );
?>