<?php

/*********For Localization**************/
load_theme_textdomain( 'templatesquare', TEMPLATEPATH.'/languages' );

$locale = get_locale();
$locale_file = TEMPLATEPATH."/languages/$locale.php";
if ( is_readable($locale_file) )
    require_once($locale_file);
/*********End For Localization**************/


// The excerpt based on character
if(!function_exists("ts_string_limit_char")){
	function ts_string_limit_char($excerpt, $substr=0, $strmore = "..."){
		$string = strip_tags(str_replace('...', '...', $excerpt));
		if ($substr>0) {
			$string = substr($string, 0, $substr);
		}
		if(strlen($excerpt)>=$substr){
			$string .= $strmore;
		}
		return $string;
	}
}
// The excerpt based on words
if(!function_exists("ts_string_limit_words")){
	function ts_string_limit_words($string, $word_limit){
	  $words = explode(' ', $string, ($word_limit + 1));
	  if(count($words) > $word_limit)
	  array_pop($words);
	  
	  return implode(' ', $words);
	}
}

if ( ! isset( $content_width ) )
	$content_width = 620;

add_action( 'after_setup_theme', 'ts_setup' );


/* Remove inline styles printed when the gallery shortcode is used.*/
function ts_remove_gallery_css( $css ) {
	return preg_replace( "#<style type='text/css'>(.*?)</style>#s", '', $css );
}
add_filter( 'gallery_style', 'ts_remove_gallery_css' );

/*Template for comments and pingbacks. */
if ( ! function_exists( 'ts_comment' ) ) :
function ts_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>" class="con-comment">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 52, 52 ); ?>
		</div><!-- .comment-author .vcard -->


		<div class="comment-body">
				<?php  printf( __( '%s ', 'templatesquare' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
				<span class="time">
				<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
				<?php
					/* translators: 1: date, 2: time */
					printf( __( '%1$s %2$s', 'templatesquare' ), get_comment_date(),  get_comment_time() ); ?></a>
					<?php edit_comment_link( __( '(Edit)', 'templatesquare' ), ' ' );?>
				</span>
			<div class="commenttext">
			<?php comment_text(); ?>
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Your comment is awaiting moderation.', 'templatesquare' ); ?></em>
			<?php endif; ?>
			</div>
				<span class="reply"><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ,'reply_text' => 'Reply') ) ); ?></span>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'templatesquare' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', 'templatesquare'), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;



if (!function_exists('ts_socialicon')){
	function ts_socialicon(){
		//Social Icons Reader
		$opt_social_icons_path = TEMPLATEPATH . '/images/social/';
		$opt_social_icons = array();
		
		if ( is_dir($opt_social_icons_path) ) {
			if ($opt_social_icons_dir = opendir($opt_social_icons_path) ) { 
				$opt_social_icons[] = "None";
				while ( ($opt_social_icons_file = readdir($opt_social_icons_dir)) !== false ) {
					if(stristr($opt_social_icons_file, ".png") !== false) {
						$opt_social_icons[] = $opt_social_icons_file;
					}
				}    
			}
		}
		
		$socialfolder = get_template_directory_uri() . '/images/social/';
		$totalicon = 10;
		$Simage = array();
		$Surl = array();
		for($i=0;$i<$totalicon;$i++){
			$Simage[$i] = "";
			$no = $i+1;
			
			$snPos 			=  get_option('templatesquare_social_image'.$no);
			$Simage[$i] 	= ($snPos > 0)? $socialfolder . $opt_social_icons[$snPos] : "" ;
			$Surl[$i] 		= (get_option('templatesquare_social_url'.$no))? get_option('templatesquare_social_url'.$no) : "";
		}
		
		$outputli = ""; 
		for($i=0;$i<$totalicon;$i++){
			if($Simage[$i]!=""){
				$sociallink = ($Surl[$i])? $Surl[$i] : "#";
				$outputli .= '<li><a href="'.$sociallink.'"><span class="icon-img" style="background-image:url('.$Simage[$i].')"></span></a></li>'."\n";
			}
		}
		
		$output = "";
		if($outputli!=""){
			$output .= '<ul class="sn">';
			$output .= $outputli;
			$output .= '</ul>';
		}
		return $output;
	}
}//end if(!function_exists('ts_get_socialicon'))

/*Prints HTML with meta information for the current post (category, tags and permalink).*/
if ( ! function_exists( 'ts_posted_in' ) ) :
function ts_posted_in() {
	// Retrieves tag list of current post, separated by commas.
	$tag_list = get_the_tag_list( '', ', ' );
	if ( $tag_list ) {
		$posted_in = __( 'Categories: %1$s <br/> Tags: %2$s', 'templatesquare' );
	} elseif ( is_object_in_taxonomy( get_post_type(), 'category' ) ) {
		$posted_in = __( 'Categories: %1$s', 'templatesquare' );
	} else {
		$posted_in = __( '', 'templatesquare' );
	}
	// Prints the string, replacing the placeholders.
	printf(
		$posted_in,
		get_the_category_list( ', ' ),
		$tag_list,
		get_permalink(),
		the_title_attribute( 'echo=0' )
	);
}
endif;

/*Clearing the automatic paragraphs and breaks on shortcodes that WordPress is adding automatically when filtering content.*/
function ts_remove_wpautop($content) { 
	$content = do_shortcode(shortcode_unautop($content)); 
	$content = preg_replace('#^<\/p>|^<br \/>|<p>$#', '', $content);
	$content = str_replace('<br />', '', $content);
	$content = str_replace('<p><div', '<div', $content);
	return $content;
}
	
/*Used in shortcodes to remove the default paragraphs WordPress adds */
function ts_remove_autop($content) { 
	$content = do_shortcode( shortcode_unautop($content) ); 
	$content = preg_replace( '#^<\/p>|^<br \/>|<p>$#', '', $content );
	return $content;
}

/* for top menu */
function nav_page_fallback() {
if(is_front_page()){$class="current_page_item";}else{$class="";}
print '<ul id="topnav" class="sf-menu"><li class="'.$class.'"><a href=" '.home_url( '/') .' " title=" '.__('Click for Home','templatesquare').' ">'.__('Home','templatesquare').'</a></li>';
    wp_list_pages( 'title_li=&sort_column=menu_order' );
print '</ul>';
}


function ts_portfolio_getcategoryids($id){
	global $wpdb;
	$qryString = "
		SELECT	d.term_id FROM ".$wpdb->posts." a 
		INNER 	JOIN ".$wpdb->term_relationships." b ON a.ID = b.object_id 
		INNER 	JOIN ".$wpdb->term_taxonomy." c ON b.term_taxonomy_id = c.term_taxonomy_id
		INNER	JOIN ".$wpdb->terms."  d ON c.term_id = d.term_id
		WHERE 	a.post_type = 'portfolio-view'
	";
	if(strlen($id)>0){
		$qryString .= " AND	a.ID = '".$id."'";
	}
	$numposts = $wpdb->get_results($qryString, ARRAY_A);
	return $numposts;
}


/* for widget shortcode */
add_filter('widget_text', 'do_shortcode');
?>