<?php

add_action( 'after_setup_theme', 'ts_setup' );

if ( ! function_exists( 'ts_setup' ) ):

function ts_setup() {

	// This theme styles the visual editor with editor-style.css to match the theme style.
	add_editor_style();

	// This theme uses post thumbnails
	if ( function_exists( 'add_theme_support' ) ) { // Added in 2.9
		add_theme_support( 'post-thumbnails' );
		add_image_size( 'blog-post-image', 610, 253, true ); // Blog Thumbnail
		add_image_size( 'slider-home-image', 940, 464, true ); // Slider Homepage
		add_image_size( 'slider-home-thumb', 70, 50, true ); // Slider Home Thumb
		add_image_size( 'portfolio-image-col1', 940, 250, true ); // Portfolio Thumbnail
		add_image_size( 'portfolio-image-col2', 455, 224, true ); // Portfolio Thumbnail
		add_image_size( 'portfolio-image-col3', 292, 190, true ); // Portfolio Thumbnail
		add_image_size( 'portfolio-image-col4', 212, 140, true ); // Portfolio Thumbnail
		add_image_size( 'portfolio-gallery', 608, 408, true ); // Portfolio Gallery
	}

	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );

	// This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'mainmenu' => __( 'Main Menu', 'templatesquare' )
	) );
	
	global $themename, $shortname, $optionstheme;
	  foreach ($optionstheme as $value) {
	  	if(isset($value['id']) && isset($value['std'])){
			add_option( $value['id'],  $value['std'] ); 
		}
	  }
}
endif;

/* Slider */
function ts_post_type_slider() {
	register_post_type( 'slider',
                array( 
				'label' => __('Slider', 'templatesquare'), 
				'public' => true, 
				'show_ui' => true,
				'show_in_nav_menus' => false,
				'menu_position' => 5,
				'supports' => array(
				                     'title',
                                     'thumbnail')
					) 
				);
}

add_action('init', 'ts_post_type_slider');
?>
