<?php
function ts_styles() {
	if (!is_admin()) {
		
		wp_register_style('general-css', get_bloginfo( 'stylesheet_url' ), '', '', 'all');
		wp_enqueue_style('general-css');
		
		//Styles Reader
		$opt_style_path = TEMPLATEPATH . '/styles/';
		$opt_styles = array();
		
		if ( is_dir($opt_style_path) ) {
			if ($opt_style_dir = opendir($opt_style_path) ) { 
				while ( ($opt_style_file = readdir($opt_style_dir)) !== false ) {
					if(stristr($opt_style_file, ".css") !== false) {
						$opt_styles[] = $opt_style_file;
					}
				}    
			}
		}
		if(isset($opt_styles[0])){
			foreach($opt_styles as $opt_style){
				wp_register_style($opt_style, get_template_directory_uri().'/styles/'.$opt_style, '', '', 'all');
			}
		}
		
		
		wp_register_style('noscript-css', get_template_directory_uri().'/noscript.css', '', '', 'screen, all');
		wp_enqueue_style('noscript-css');
		
		wp_register_style('prettyPhoto-css', get_template_directory_uri().'/prettyPhoto.css', '', '', 'screen, all');
		wp_enqueue_style('prettyPhoto-css');
	
	}
}
add_action('init', 'ts_styles');
?>