<?php
// =============================== TS Recent Posts widget ======================================
class TS_RecentPostWidget extends WP_Widget {
    /** constructor */

	function TS_RecentPostWidget() {
		$widget_ops = array('classname' => 'widget_ts_recent_posts', 'description' => __('TS - Recent Posts','templatesquare') );
		$this->WP_Widget('ts-recent-posts', __('TS - Recent Posts','templatesquare'), $widget_ops);
	}


  /** @see WP_Widget::widget */
    function widget($args, $instance) {		
        extract( $args );
        $title = apply_filters('widget_title', empty($instance['title']) ? __('TS Recent Posts','templatesquare') : $instance['title']);
		$category = apply_filters('widget_category', $instance['category']);
		$showpost = apply_filters('widget_showpost', $instance['showpost']);
		$showdate = apply_filters('widget_showdate', isset($instance['showdate']));
		$instance['category'] = esc_attr(isset($instance['category'])? $instance['category'] : "");
        ?>
              <?php echo $before_widget; ?>
                  <?php if ( $title )
                        echo $before_title . $title . $after_title; ?>
								<?php  if (have_posts()) : ?>
								<ul class="latestpost">
								<?php $querycat = get_cat_name($category);?>
								<?php 
									query_posts("showposts=".$showpost."&category_name=" . $querycat);
									global $post;
								?>
								<?php while (have_posts()) : the_post(); ?>
								<li>
								<?php
								$custom = get_post_custom($post->ID);
								$cf_thumb = (isset($custom["thumb"][0]))? $custom["thumb"][0] : "";
								
								if($cf_thumb!=""){
								$thumb = "<div class='frame alignleft'><img src='" . $cf_thumb . "' alt='' width='56' height='56' class=''/></div>";
								}elseif(has_post_thumbnail($id) ){
								$thumb = '<div class="frame alignleft">'.get_the_post_thumbnail($id, 'post-thumb').'</div>';
								}else{
								$thumb ="";
								}
								echo $thumb;
								?>
								<span class="lp-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link to', 'templatesquare');?> <?php the_title_attribute(); ?>"><?php the_title();?></a></span>
								<?php if($showdate=="true") {?>
								<span class="lp-date"><?php  the_time('F d, Y') ?> - <?php comments_popup_link(__('No Comments', 'templatesquare'), __('1 Comments', 'templatesquare'), __('% Comments', 'templatesquare')); ?></span>
								<?php } ?>
								<div class="clearfix"></div>
								</li>
								<?php endwhile; ?>
								</ul>
								<?php endif; ?>

								<?php wp_reset_query();?>
								
              <?php echo $after_widget; ?>
			 
        <?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance) {				
        return $new_instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {
		$instance['title'] = (isset($instance['title']))? $instance['title'] : "";
		$instance['category'] = (isset($instance['category']))? $instance['category'] : "";
		$instance['showpost'] = (isset($instance['showpost']))? $instance['showpost'] : "";
		$instance['showdate'] = (isset($instance['showdate']))? $instance['showdate'] : "";
					
        $title = esc_attr($instance['title']);
		$category = esc_attr($instance['category']);
		$showpost = esc_attr($instance['showpost']);
		$showdate = esc_attr($instance['showdate']);
        ?>
            <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'templatesquare'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>
			
            <p><label for="<?php echo $this->get_field_id('category'); ?>"><?php _e('Portfolio Category:', 'templatesquare'); ?><br />
			<?php 
			$args = array(
			'selected'         => $category,
			'echo'             => 1,
			'name'             =>$this->get_field_name('category')
			);
			wp_dropdown_categories( $args );
			?>
			</label></p>
			
            <p><label for="<?php echo $this->get_field_id('showpost'); ?>"><?php _e('Number of Post:', 'templatesquare'); ?> <input class="widefat" id="<?php echo $this->get_field_id('showpost'); ?>" name="<?php echo $this->get_field_name('showpost'); ?>" type="text" value="<?php echo $showpost; ?>" /></label></p>
			
            
            <p><label for="<?php echo $this->get_field_id('showdate'); ?>"><?php _e('Show Date:', 'templatesquare'); ?> 
			
			<?php if($instance['showdate']){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>
                            <input type="checkbox" name="<?php echo $this->get_field_name('showdate'); ?>" id="<?php echo $this->get_field_id('showdate'); ?>" value="true" <?php echo $checked; ?> />			</label></p>
        <?php 
    }

} // class  Widget
?>