<?php
/**
 * Template Name: Blog
 *
 * A custom page template for blog page.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */

get_header(); ?>

	<?php $sidebarposition = get_option('templatesquare_sidebar_position'); ?>
	
	<?php if(!is_front_page()) {get_template_part( 'title'); }?>
    
	<div id="content-container">
		<div id="content">
			<div id="main">
				<div id="sidebar" class="<?php if($sidebarposition=="left"){echo "positionleft";}else{echo "positionright";}?>">
					<?php get_sidebar();?>
				</div><!-- #sidebar -->
				<div id="maincontent" class="<?php if($sidebarposition=="left"){echo "positionright";}else{echo "positionleft";}?>">
                
				<?php 
                    
                    $prefix = 'ts_';
                    $custom = get_post_custom($post->ID);
                    $cat = (isset($custom[$prefix."blog-category"][0]))? $custom[$prefix."blog-category"][0] : "";
                    global $more;	$more = 0; $post;
                    $args = array(
                    'cat' => $cat,
                    'paged' => $paged
                    );
                    query_posts($args); 
                    /* Since we called the_post() above, we need to
                    * rewind the loop back to the beginning that way
                    * we can run the loop properly, in full.
                    */
                    rewind_posts();
                    /* Run the loop for the archives page to output the posts.
                    * If you want to overload this in a child theme then include a file
                    * called loop-archives.php and that will be used instead.
                    */
                    get_template_part( 'loop', 'archive' );
                    
                    wp_reset_query();
                ?>
              
              	<div class="clear"></div><!-- clear float left -->
				</div><!-- #maincontent -->
				<div class="clear"></div><!-- clear float left -->
			</div><!-- #main -->
			<div class="clear"></div><!-- clear float left -->
		</div><!-- #content -->
	</div><!-- #content-container -->
	

<?php get_footer(); ?>
