<?php
/**
 * Template Name: Portfolio
 *
 * A custom page template for portfolio page.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */

get_header(); ?>


	<?php get_template_part( 'title'); ?>
    
	<div id="content-container">
		<div id="content">
			<div id="main">
				
				<?php
				$prefix = 'ts_';
				$custom = get_post_custom($post->ID);
				$column = (isset($custom[$prefix."portfolio-column"][0]))? $custom[$prefix."portfolio-column"][0] : "";
				$cats = (isset($custom[$prefix."portfolio-category"][0]))? $custom[$prefix."portfolio-category"][0] : "";
				$showpost = (isset($custom[$prefix."portfolio-showpost"][0]))? $custom[$prefix."portfolio-showpost"][0] : "";
				$showtitle = (isset($custom[$prefix."portfolio-showtitle"][0]))? $custom[$prefix."portfolio-showtitle"][0] : "";
				$showdesc = (isset($custom[$prefix."portfolio-showdesc"][0]))? $custom[$prefix."portfolio-showdesc"][0] : "";
				$moretext = (isset($custom[$prefix."portfolio-moretext"][0]))? $custom[$prefix."portfolio-moretext"][0] : "";
				$longdesc = (isset($custom[$prefix."portfolio-lengthcharacter"][0]))? $custom[$prefix."portfolio-lengthcharacter"][0] : "";
				$categories = $cats ;
				
				echo ts_portfolio($column, $categories, $showpost, $showtitle, $showdesc, $moretext, $paged, $longdesc);
				
				?>
				
				<?php /* Display navigation to next/previous pages when applicable */ ?>
				<?php if (  $wp_query->max_num_pages > 1 ) : ?>
				 <?php if(function_exists('wp_pagenavi')) { ?>
					 <?php wp_pagenavi(); ?>
				 <?php }else{ ?>
					<div id="nav-below" class="navigation">
						<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&laquo;</span> Older', 'templatesquare' ) ); ?></div>
						<div class="nav-next"><?php previous_posts_link( __( 'Newer <span class="meta-nav">&raquo;</span>', 'templatesquare' ) ); ?></div>
					</div><!-- #nav-below -->
				<?php }?>
				<?php endif;  wp_reset_query();?>
              
				<div class="clear"></div><!-- clear float left -->
			</div><!-- #main -->
			<div class="clear"></div><!-- clear float left -->
		</div><!-- #content -->
	</div><!-- #content-container -->


<?php get_footer(); ?>
