<?php
/**
 * Template Name: Testimonial
 *
 * A custom page template for testimonial page.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */

get_header(); ?>


	<?php $sidebarposition = get_option('templatesquare_sidebar_position'); ?>
    
	<?php if(!is_front_page()) {get_template_part( 'title'); }?>
                
    
	<div id="content-container">
		<div id="content">
			<div id="main">
				<div id="sidebar" class="<?php if($sidebarposition=="left"){echo "positionleft";}else{echo "positionright";}?>">
					<?php get_sidebar('page');?>
				</div><!-- #sidebar -->
				<div id="maincontent" class="<?php if($sidebarposition=="left"){echo "positionright";}else{echo "positionleft";}?>">
                		
						<?php 
							
							$prefix = 'ts_';
							$custom = get_post_custom($post->ID);
							$cat = (isset($custom[$prefix."testimonial-category"][0]))? $custom[$prefix."testimonial-category"][0] : "";
							$showpost = (isset($custom[$prefix."testimonial-showpost"][0]))? $custom[$prefix."testimonial-showpost"][0] : "";
							$catname = get_term($cat,"testimonialcat");
							$catinclude = 'testimonialcat='. $catname->slug ;
							query_posts($catinclude .' &post_type=testimonial-view&showposts='.$showpost.'&paged='.$paged); 
							
							$output="";
							while ( have_posts() ) : the_post(); 
							$prefix = 'ts_';
							$custom = get_post_custom($post->ID);
							$testiname = (isset($custom[$prefix."testimonial-name"][0]))? $custom[$prefix."testimonial-name"][0] : "";
							$testiinfo = (isset($custom[$prefix."testimonial-info"][0]))? $custom[$prefix."testimonial-info"][0] : "";
							if($testiinfo==""){$sep ="";}else{$sep ="&nbsp;-&nbsp;";}
							
							$output.="<div class='ts-testimonial'>";
							$output.="<blockquote>";
							$output.="<p>".get_the_content()."</p>";
							$output.="</blockquote>";
							$output.="<p class='testi-desc'>".$testiname.$sep.$testiinfo."</p>";
							$output.="</div>";
							
							endwhile;
							
							echo $output;
							
						?>
						
				<?php /* Display navigation to next/previous pages when applicable */ ?>
				<?php if (  $wp_query->max_num_pages > 1 ) : ?>
				 <?php if(function_exists('wp_pagenavi')) { ?>
					 <?php wp_pagenavi(); ?>
				 <?php }else{ ?>
					<div id="nav-below" class="navigation">
						<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&laquo;</span> Older', 'templatesquare' ) ); ?></div>
						<div class="nav-next"><?php previous_posts_link( __( 'Newer <span class="meta-nav">&raquo;</span>', 'templatesquare' ) ); ?></div>
					</div><!-- #nav-below -->
				<?php }?>
				<?php endif;  wp_reset_query();?>
              
              	<div class="clear"></div><!-- clear float left -->
				</div><!-- #maincontent -->
				<div class="clear"></div><!-- clear float left -->
			</div><!-- #main -->
			<div class="clear"></div><!-- clear float left -->
		</div><!-- #content -->
	</div><!-- #content-container -->
    

<?php get_footer(); ?>
