<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package WordPress
 * @subpackage Cresendo
 * @since Cresendo 1.0
 */

get_header(); ?>

	<?php $sidebarposition = get_option('templatesquare_sidebar_position'); ?>
    
    <?php if(!is_front_page()) {get_template_part( 'title'); }?>
    
	<div id="content-container">
		<div id="content">
			<div id="main">
				<div id="sidebar" class="<?php if($sidebarposition=="left"){echo "positionleft";}else{echo "positionright";}?>">
					<?php get_sidebar('page');?>
				</div><!-- #sidebar -->
				<div id="maincontent" class="<?php if($sidebarposition=="left"){echo "positionright";}else{echo "positionleft";}?>">
                
                
                
				<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="entry-content">
						<?php the_content( __( 'continue reading &raquo;', 'templatesquare' ) ); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'templatesquare' ), 'after' => '</div>' ) ); ?>
						<?php edit_post_link( __( 'Edit', 'templatesquare' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .entry-content -->
				</div><!-- #post -->
		
				<?php comments_template( '', true ); ?>
		
				<?php endwhile; ?>
              
              	<div class="clear"></div><!-- clear float left -->
				</div><!-- #maincontent -->
				<div class="clear"></div><!-- clear float left -->
			</div><!-- #main -->
			<div class="clear"></div><!-- clear float left -->
		</div><!-- #content -->
	</div><!-- #content-container -->
    
    
<?php get_footer(); ?>
